AbstractTcpSocketFactory (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.tcp.AbstractTcpSocketFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.tcp
Class AbstractTcpSocketFactory

    java.lang.Object
      org.mule.transport.tcp.AbstractTcpSocketFactory

All Implemented Interfaces:
  KeyedPoolableObjectFactory

Direct Known Subclasses:
  SslSocketFactory, TcpSocketFactory

    public abstract class AbstractTcpSocketFactory

extends Object
implements KeyedPoolableObjectFactory

Creates a client socket using the socket address extracted from the endpoint. Addtional socket parameters will also be set from the connector

Constructor Summary
`AbstractTcpSocketFactory()`

Method Summary
`void` | `activateObject(Object key, Object object)`
`protected abstract Socket` | `createSocket(TcpSocketKey key)`
`void` | `destroyObject(Object key, Object object)`
`Object` | `makeObject(Object key)`
`void` | `passivateObject(Object key, Object object)`
`boolean` | `validateObject(Object key, Object object)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractTcpSocketFactory

    public AbstractTcpSocketFactory()

Method Detail

### makeObject

    public Object makeObject(Object key)
                      throws Exception

  Specified by:
    `makeObject` in interface `KeyedPoolableObjectFactory`
  Throws:
    `Exception`

### createSocket

    protected abstract Socket createSocket(TcpSocketKey key)
                                    throws IOException

  Throws:
    `IOException`

### destroyObject

    public void destroyObject(Object key,
                              Object object)
                       throws Exception

  Specified by:
    `destroyObject` in interface `KeyedPoolableObjectFactory`
  Throws:
    `Exception`

### validateObject

    public boolean validateObject(Object key,
                                  Object object)

  Specified by:
    `validateObject` in interface `KeyedPoolableObjectFactory`

### activateObject

    public void activateObject(Object key,
                               Object object)
                        throws Exception

  Specified by:
    `activateObject` in interface `KeyedPoolableObjectFactory`
  Throws:
    `Exception`

### passivateObject

    public void passivateObject(Object key,
                                Object object)
                         throws Exception

  Specified by:
    `passivateObject` in interface `KeyedPoolableObjectFactory`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.